/*
 * Cache Manager
 * 
 * V2.0.7
 */

/* global WebOSManager, SOAPClient, XPathResult, utils, base64js, LibraryManager, LayoutManager, ScheduleManager, ERRORS, XMLDocument, application, logic, Logger */

"use strict";

/**
 * @classdesc Provide cache functionality.
 * @type CacheManager
 * @version 2.0.7
 * @since 2.0.7
 */
var CacheManager = new function () {
  // <editor-fold defaultstate="collapsed" desc="Private variables">
  var v_LayoutDurations = {};
  // </editor-fold>

  // <editor-fold defaultstate="collapsed" desc="Private functions">
  // </editor-fold>

  // <editor-fold defaultstate="collapsed" desc="Public functions">
  
  /**
   * Set the duration of the layout.
   * @param {String} id The id of the layout.
   * @param {String|Number} duration The duration of the layout in seconds.
   * @returns {undefined} 
   */
  this.setLayoutDuration = function(id , duration){
    v_LayoutDurations[id] = duration;
  };
  
  /**
   * Get the duration of the layout.
   * @param {String} id The id of the layout.
   * @param {String|Number} defaultDuration The duration of the layout in seconds if not previously set.
   * @returns {String|Number}  The duration of the layout in seconds.
   */
  this.getLayoutDuration = function(id , defaultDuration){
    if (Object.keys(v_LayoutDurations).indexOf(id)!==-1){
        return v_LayoutDurations[id];
    }
    return defaultDuration;
  };
  
  // </editor-fold>
  
  // <editor-fold defaultstate="collapsed" desc="Native CMS Calls">
  
  // </editor-fold>
};